Subject: bug#51215: Add a navigation feature to vc and diff mode: diff-goto-line

From: Dmitry Gutov <[email-masked]>
Date: Tue, 19 Oct 2021 03:54:42 +0300

Hi Uwe,

On 18.10.2021 10:16, Uwe Brauer wrote:

 >> The most recent discussion regarding it can be found in bug#36526.
 >
 > I am not that used to that interface I jumped to
 > 
https://lists.gnu.org/archive/html/emacs-bug-tracker/2020-08/msg00633.html

You can read the discussion starting from 
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36526#53.

 >> To sum up: the patch(es) have merit, and they're waiting for someone
 >> to champion their inclusion: test them for bugs, compare the different
 >> available implementations of the "skip to" functionality, and
 >> generally examine how the new functionality affects the existing
 >> workflows (e.g. whether it should be enabled on root diffs).
 >
 > Forgive me my ignorance (maybe because I am  a mercurial user 😇)
 > the documentation vc-root-diff talks about tree revision
 >
 > So if I understand that correctly this is for the case I want really
 > consider the diff of the repository?
 >
 > That is the same effect as if:  I change 3 files in the repository 
and would run
 > git diff
 > or
 > hg diff
 > from the command line?

vc-root-diff, yes. 'C-x v D'.

 > If that is the case I would say, disable the feature for that sort of
 > diffs  for the moment. The patch is more useful for
 > one-file-basis.
 > At least that is how  I used it for a year.

OK, thanks for the feedback. But we should consider both changes in the 
proposal, ideally. Not just the one you happened to have been using for 
a period of time.

Would somebody else like to chime in?

 > So what is the best strategy? How can I test the patch concerning
 > bug#36526?
 >
 > The message talks about emacs 26, I am running a 2 month old
 > git master emacs (still 28).
 > So can that patch be tested in version I use?
That's a part of championing the change: try to see whether the patch 
still applies. If not, maybe try updating it yourself.